
From: Alexey Dobriyan <adobriyan@mail.ru>

Fix various kernel-doc parameters.


---

 25-akpm/drivers/block/ll_rw_blk.c |    2 +-
 25-akpm/lib/string.c              |    4 ++--
 25-akpm/net/core/dev.c            |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/block/ll_rw_blk.c~kernel-api-docs drivers/block/ll_rw_blk.c
--- 25/drivers/block/ll_rw_blk.c~kernel-api-docs	2004-04-27 19:25:00.430614232 -0700
+++ 25-akpm/drivers/block/ll_rw_blk.c	2004-04-27 19:25:00.445611952 -0700
@@ -1148,7 +1148,7 @@ static inline void __generic_unplug_devi
 
 /**
  * generic_unplug_device - fire a request queue
- * @data:    The &request_queue_t in question
+ * @q:    The &request_queue_t in question
  *
  * Description:
  *   Linux uses plugging to build bigger requests queues before letting
diff -puN lib/string.c~kernel-api-docs lib/string.c
--- 25/lib/string.c~kernel-api-docs	2004-04-27 19:25:00.436613320 -0700
+++ 25-akpm/lib/string.c	2004-04-27 19:25:00.445611952 -0700
@@ -445,8 +445,8 @@ void * memset(void * s,int c,size_t coun
 #ifndef __HAVE_ARCH_BCOPY
 /**
  * bcopy - Copy one area of memory to another
- * @src: Where to copy from
- * @dest: Where to copy to
+ * @srcp: Where to copy from
+ * @destp: Where to copy to
  * @count: The size of the area.
  *
  * Note that this is the same as memcpy(), with the arguments reversed.
diff -puN net/core/dev.c~kernel-api-docs net/core/dev.c
--- 25/net/core/dev.c~kernel-api-docs	2004-04-27 19:25:00.437613168 -0700
+++ 25-akpm/net/core/dev.c	2004-04-27 19:25:00.448611496 -0700
@@ -785,7 +785,7 @@ int dev_alloc_name(struct net_device *de
 /**
  *	dev_change_name - change name of a device
  *	@dev: device
- *	@name: name (or format string) must be at least IFNAMSIZ
+ *	@newname: name (or format string) must be at least IFNAMSIZ
  *
  *	Change name of a device, can pass format strings "eth%d".
  *	for wildcarding.

_
